AutoCAD Visual LISP / AutoLISP :: Labeling Polyline Areas

May 4, 2011

Code below, for labeling polyline areas

It works great for what i want, with 2 exceptions the text is to small and the label is not inserted at the centroid of the polyline, rather it is placed outside the polyline.

i am able to increase the text style by adjusting the dimscale before i run the command, however it would be good if the program could do that automatically, i would like the text to be about 300 units high, and for the label to be placed at the centroid of the polyline
 
(defun C:AT ( / ss i)

View 9 Replies


ADVERTISEMENT

AutoCAD Visual LISP / AutoLISP :: Calculate Multiple Polyline Areas?

Mar 6, 2003

I have a drawing which contains about 100 "areas". These areas are closed polylines. I would like to get a total area of all these polylines.

I have tried using AutoCAD 2002's AREA command, but I am only able to select one item at a time, (AREA, Add, Object). This is fine for calculating a few areas. It gives me a running total of each item that I select.

Using the LIST command works OK for a few items, but you still have to wade through all the other information to get the area info for each item.

Is there a way to select crossing ALL the areas that I have, and have it return a total?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Reduce Polyline With Multiple Vertices To Single Polyline

Jun 7, 2012

I would like to take all the vertices out of a multiple-vertices polyline so that it reduces to just its start and end points, can this be done?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Labeling Lines With Lengths

Mar 2, 2012

Labeling lines with their lengths,

I got the attached lisp file from the web which automatically labels the lines with their length. Resulting the values of the length in the absolute values of the length instead of saying that the length is in inch. i.e, i  need to remove the inch sign (") from the suffix of the length.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Getting A Contour Labeling Routine?

Jul 21, 2006

I need a routine that one can select a fence or a path along a whole lot of contours which are not in 3DPoly but rather a heavyweight POLYLINE and then have the Z value (elevation of this polyline) printed over the contour preferably along the direction of the vertex picked.

I have something right now that works by selecting individual plines but I need one you can select a whole lot and have the text inserted at the correct position.

See my simple code below:

;THIS IS FOR LABELLING 3D CONTOURS
(defun C:3DC ()
(graphscr)
(setq p (entsel "
Select CONTOUR to label: "))
(setq e (entget (car p)))
(setq e1 (entget (entnext (cdr (assoc -1 e)))))

[code]....

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: 3D Polyline To Polyline To Spline With Max

Sep 21, 2013

Due to modeling purposes, I need to convert a 3D polyline to a spline. What I have been doing is:

- change polyline fit/smooth to cubic from properties
- convert polyline to spline by typing spline -> object
- method -> fit from properties

You can see the original 3D polyline (green) and the resulting spline (magenta) in the attached drawing.When I zoom in and measure the distance between the two entities at different points along them, at some points the perpendicular distance exceeds 5 millimeters, and I want to ensure the deviation remains under 1 millimeter or even less.

I know I can change the knot parameterization of the spline, and this does work at some locations, but the difference increases at others.Why is there a 5.6 mm difference between the spline fit point and 3D polyline vertex, as measure in the attached drawing?

Now, I can go and manually stretch the fit point to coincide with the vertex. Also, I can add fit points between existing ones to drag the spline closer to the original 3D poly.

However, some of my polys are really long, and it is very time-consuming to do this manually while measuring points along the entities to make sure the distance stays small enough.

how to automate this process? For example a lisp that would maybe take the original vertex points, add say maybe 3 (not too many) new ones between them, and then generate a spline while making sure the deviation is less than the set value of 1mm? I am using AutoCAD 2013.

View 5 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Dimension Building - Labeling Multiple Lines At Once

Sep 20, 2012

How to write an AUTOLisp program to label building dimensions.  With Civil3d 2013 preventing me from labeling multiple lines at once, creating building labels to dimension complex building exteriors is much more complicated than it needs to be. Lisp Routine that Generates a MText or Dtext dimension centered on a line and offset to be clear of the line.  the layer for this piece of text would always be "DIMS-BLDG" and the text style will always be "L50s."

the text doesn't have to be organized as it is in this example. the main focus is the layer being correct with the foot mark, precision set to xx.x and oriented to the line.

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Create Sub Areas From Intersecting Polylines

Oct 17, 2011

Essentially, I'll be creating a sort of Venn diagram.  So for the purposes of this exercise, let's assume it's the classic Venn diagram of three intersecting circles.  But I need this to work with closed polylines, that may also have arc segments in them.

Anyway, so I have these intersecting areas, and I need to create bounding polylines for each area, and assess the number of overlaps.  So, as in a Venn diagram, the areas where only one circle is present can then get shaded one color, areas where two circles are overlapping can get a different color, and the area where all three circles overlap can get a third color.

I'm clearly going to have to be converting the various boundaries to Regions, and performing some Unions.  It seems I could grab all objects, convert them to Regions 2 at a time, and compare their Union'ed area to their individual area, to determine if they overlapped at all.  With only the 3 cirlces, that would work, but when I have 35 individual polyline areas with arcs, suddenly this method feels like it will break down.

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Saving Areas Of All Closed Polygon

Mar 4, 2013

I'd like to get areas from all closed loop polygons of my drawing and save them. 

From my point of view, the function would be to:

- hatch every polygon of my drawing
- for each hatch do
- extract area and put it in an array with the variables (name of polygon  and area).

And then is it possible to save it in a DWG or DXF file in order to reuse these areas by another program ?  

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Generic File That Summaries Areas Of Hatches In Table?

Mar 19, 2013

Generic lisp file that summaries areas of hatches in a table,

I’m wondering if there is a lisp file that can read the boundary of the study area and the hatches and stick there areas in a table as shown in the attached screenshot

The areas of the roads are derived by subtraction the total area of hatches from the area of the study area.

The dwg file is attached

This is very frequent sort of work and takes a lot of time to be constructed. I’m already using fields to perform this kind of work.

Software: AutoCAD 2014, AutoCAD C3D, AutoCAD M3D, Revit
Windows 7 (Ultimate 64 bits),
Firefox 20.0,
Kaspersky 2013.

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Get Enames Of Each Polyline

Apr 26, 2013

this is a Offset cutting plane line I want it to be all polylines but I can't get the ename of the end points of the polylines dose anyony know how

(defun ccp (/ pt2)
  (SETVAR "CMDECHO" 0)
  (setvar "angbase" 0)
  (setvar "angdir" 0)
  (command "polarang" 1)
  (setq pt1 (getpoint "

[Code]....

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Sum Of Polyline Lengths

May 21, 2012

Is it possible to determine the sum of the lengths of all of the polylines on a certain layer?  I'm trying to determine the total length of joint sealant on a building's exterior.

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Change Z Value Only On 3D Polyline

Aug 23, 2012

I am using acad 2010. I have a contour generator that uses 3d polylines to make contours. I get depressions or tops where I don't want them. I need a lisp routine that will allow me to adjust the z value only on any 3d polyline. I need to raise or lower the z value at any vertex and repeat if necessary. I don't need to prompt the user- I am the user.

View 2 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Set Polyline Elevation

Jul 19, 2013

I create contour line in TOPOGRAPH program, and I import these polylines to AUTOCAD. I have to set elevation for each polyline manually, and I waste a lot of time doing that.

So looking for lisp doing that automatically. I mean, invoke the command, set the first elevation and them select the polylines.

e.g. The first elevation is 530. The next polyline that I select is 531 and so on. 

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Region To Polyline

Feb 17, 2009

For the sake of editing, I sometimes make LWPOLYLINES and convert them to regions so that I can union and subtract and intersect, etc.

then sometimes, like now, I want to work with them like as LWPOLYLINES again.

is there some command I don't know, or some routine or shall I make one?

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Draw Polyline With Clipping Outside

Mar 7, 2012

is there a way to draw a polyline and have autocad clip everything outside of that polyline and discard it so that i end up with a smaller drawing.  only the information in that polyline, nothing outside of the polyline

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Polyline Width And Fillet

Feb 5, 2013

I've been searching on and off all morning for a lisp routine, without any luck. I'm trying to draw a pline with a pre determined width (5") and be able to draw unlimited line segments then automatically fillet with a pre determined radius (5").

I wrote this generic macro: ^C^CPLINEWID;5;PL;\\;FILLET;R;5;F;P;LAST;  to save SOME time but I want unlimited line segments. Can this be modified or would a lisp be the better route to go?

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Divide And Measure Between Polyline

Aug 1, 2012

do you know command or lisp that will do new pollyline between two polyline on 1/3 or 1/4 space between them.

I need sommething that would be faster,know is use measure on pollilines then i draw between horizontall polylines on verteks or point new pollyline and then divide it on 4 or 3 parts.

View 1 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Arcs To A Segmented Polyline?

Apr 17, 2012

i.e. one that would apply best fit lines and arcs to a segmented polyline?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Vertices Of A Polyline Segment

Dec 18, 2011

I have to intersect polylines "POLYLINE" and "LWPOLINE" with a line and get all the angles of all segments of the polyline that are intersected.

To do this I used a loop that monitors all the vertices of each polyline to find the two vertices of the polyline segment that intersects the line. Unfortunately, these polylines have thousands of vertices and the processing done in this way takes too long.

With the vlax-curve-getClosestPointTo I could very quickly find the vertex of the polyline closest to that intersected with the line, but I need to find the other vertex of the polyline segment to determine the angle of this.

Another question: is there a quick function that returns the exact point of intersection of two curves (e.g. A line and a polyline, or a line and a circle?

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Curve From Polyline Segments

Apr 13, 2012

I´m looking for opportunities to can modify a polyline with 4 or more segments in a polyline with arc. I think it´s possible to pick start and end segment first and than all straight segments to will be in arc segments.

View 6 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Ribbon Polyline Command

Jul 29, 2013

Creating a ribbon for Partial Customization files in the CUI, and I am trying to setup some buttons for existing polylines for example underground electric and overhead electric. When writing the macro what are some ideas for creating a polyline with the proper linetype for that particular object rather than changing the layer in layer properties dialogue.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Round Down Area Of Polyline

May 8, 2013

I have a closed polyline that i can add the area to via a field in mtext using the options under area. I would like the area to always be rounded down to the nearest square meter. Is the a way to do this via the acfields.fdc file?

View 8 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Attributes Contained Within A PolyLine

Oct 11, 2011

I have to go through quite a few drawings and extract the attribute vales of the whole drawing and then a subset contained within a couple of polylines.

The whole drawing is Ok as I can use at out or the data extraction, but its the ones contained within a polyline. How do I do that?

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Draw Polyline Between Two Blocks Of Same Name

Nov 13, 2013

i need a vlisp program to draw polyline between two blocks.

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: How To Create Arc Polyline With Entmake

Jan 4, 2013

I have run into a little trouble in trying to figure out how to create a arc polyline with entmake. I've put together the following and it works great with command "pline". I just want to know how to do it with entmake.

(defun C:22 ()
(setq P1 (getpoint "
Specify first point: ")
P2 (getpoint P1 "
Specify next point: "))
[code].......  

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Angle Of Polyline Segment At Specified Point

Mar 19, 2013

I am writing a routine that will place a piece of text at a specified point along a polyline. My problem is to determine the angle for the text. It needs to be the same as the segment of the polyline that it falls on. Just can't get my head around how to get that angle?

I can get a list of the vertex point of the polyline, but how do I determine the segment the point falls on?

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Extract Attribute Tag Value And Draw Polyline

Apr 25, 2012

I have a inserted block with 4 tags for Length, Thickness, Elevation and Width.How can extract attributes tag values and draw a closed polyline + 2 internal lines, parallel to the block?

Block Name: ID_DATA
Tags: LEN, THI, ELE and WID.

Each internal line placed in a third width.

View 9 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Draw Polyline Which Point From Sub-entities Possible?

Jun 28, 2013

I continue learning....

(setq ins (vlax-ename->vla-object ( ssname sele cod)) nombre (vla-get-name ins) ) (setq bloque1 (vla-item (vla-get-Blocks (vla-get-Document ins) ) nombre ) ) (setq s_ent1 (vla-item bloque1 1)) (setq pt1 (vla-get-startpoint s_ent1 ))(setq pt2 (vla-get-endpoint s_ent11 ))(setq s_ent2 (vla-item bloque1 2)) (setq pt3 (vla-get-startpoint s_ent2 ))(setq pt4 (vla-get-endpoint s_ent2 ))(command "_pline" pt1 pt2 pt3 pt4 "c")

Why dont draw de _pline?

View 4 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Modifying Polyline From Fit / Smooth Cubic To None

Jul 5, 2012

I have many drawings with blocks containing polylines set with property Fit/Smooth = cubic. For conversion purposes, I need to change them to FIt/Smooth = none. It is easy with the Properties palette but, because I have lots of drawings to fix, I want to write a lisp routine. Any VLA-SET-xxx  property that will allow me to do it in lisp? 

View 7 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Distance Between Two Points Along The Path Of Polyline

Sep 10, 2012

There are times that I have a really long curb polyline that has both line and arc segments.  I wish to pick two points along that polyline and have it give me the distance between those two points along the path of the polyline.

Do we have this ability natively?  Have I been missing something all this time?  Normally I have to make a copy of the original entity, ... break, break, list erase or undo....

View 6 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved